Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class StatusType

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.StatusType

public class StatusType
extends Object

An enumeration of values for a `<status>` element's `type` attribute.

Field Summary
`static StatusType` | `APP_AUTHENTICATION` "app-authentication"
`static StatusType` | `APP_CONNECTION` "app-connection"
`static StatusType` | `APP_GENERAL` "app-general"
`static StatusType` | `DRIVER_GENERAL` "driver-general"
`static StatusType` | `DRIVER_STATUS` "driver-status"
`static StatusType` | `HEARTBEAT` "heartbeat"
`static StatusType` | `PASSWORD_SET_OPERATION` "password-set-operation"
`static StatusType` | `REMOTELOADER` "remoteloader"

Method Summary
`String` | `toString()` Returns a string representation of this version (e.g., "app-authentication", "driver-general").

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REMOTELOADER

    public static final StatusType REMOTELOADER

  "remoteloader"

### APP_GENERAL

    public static final StatusType APP_GENERAL

  "app-general"

### APP_AUTHENTICATION

    public static final StatusType APP_AUTHENTICATION

  "app-authentication"

### APP_CONNECTION

    public static final StatusType APP_CONNECTION

  "app-connection"

### DRIVER_GENERAL

    public static final StatusType DRIVER_GENERAL

  "driver-general"

### DRIVER_STATUS

    public static final StatusType DRIVER_STATUS

  "driver-status"

### PASSWORD_SET_OPERATION

    public static final StatusType PASSWORD_SET_OPERATION

  "password-set-operation"

### HEARTBEAT

    public static final StatusType HEARTBEAT

  "heartbeat"

Method Detail

### toString

    public String toString()

  Returns a string representation of this version (e.g., "app-authentication", "driver-general").

  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD